Package org.freeplane.api

# Interface MindMapRO

All Known Subinterfaces:
  `Map`, `MapRO`, `MindMap`, `Proxy.Map`, `Proxy.MapRO`, `Proxy.MindMap`, `Proxy.MindMapRO`

public interface MindMapRO
The map a node belongs to: `node.map` - read-only.

Since:
  1.7.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getAssociatedTemplate()`
  `File`
  `getAssociatedTemplateFile()`
  `Color`
  `getBackgroundColor()`
  `String`
  `getBackgroundColorCode()`
  returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
  `List<NodeBookmark>`
  `getBookmarks()`
  Returns all bookmarks defined in this mind map.
  `ConditionalStyles`
  `getConditionalStyles()`
  `File`
  `getFile()`
  returns the filenname of the map as a java.io.File object if available or null otherwise.
  `URI`
  `getFollowedMap()`
  `File`
  `getFollowedMapFile()`
  `String`
  `getName()`
  returns the title of the MapView.
  `Node`
  `getRoot()`
  `Node`
  `getRootNode()`
  Deprecated.
  since 1.2 - use `getRoot()` instead.
  `List<String>`
  `getUserDefinedStylesNames()`
  returns list with the user defined styles names of the map
  `boolean`
  `isSaved()`
  `Node`
  `node(String id)`
  get node by id.

- ## Method Details

  - ### getRoot

    Node getRoot()
    Since:
      1.2

  - ### getRootNode

    @Deprecated Node getRootNode()
    Deprecated.
    since 1.2 - use `getRoot()` instead.

  - ### node

    Node node(String id)
    get node by id.
    Returns:
      the node if the map contains it or null otherwise.

  - ### getFile

    File getFile()
    returns the filenname of the map as a java.io.File object if available or null otherwise.

  - ### getName

    String getName()
    returns the title of the MapView.
    Since:
      1.2

  - ### isSaved

    boolean isSaved()
    Since:
      1.2

  - ### getBackgroundColor

    Color getBackgroundColor()
    Since:
      1.2

  - ### getBackgroundColorCode

    String getBackgroundColorCode()
    returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
    Since:
      1.2

  - ### getConditionalStyles

    ConditionalStyles getConditionalStyles()
    Since:
      1.11.1

  - ### getUserDefinedStylesNames

    List<String> getUserDefinedStylesNames()
    returns list with the user defined styles names of the map
    Returns:
      list of String
    Since:
      1.11.8

  - ### getFollowedMap

    URI getFollowedMap()
    Returns:
      Followed-Map URI, as saved in .mm, or `null` if no mind map is followed
    Since:
      1.11.11

  - ### getAssociatedTemplate

    URI getAssociatedTemplate()
    Returns:
      Associated-Template URI, as saved in .mm, or `null` if no template is associated with the mind map
    Since:
      1.11.11

  - ### getFollowedMapFile

    File getFollowedMapFile()
    Returns:
      Followed-Map URI as File, with User- or Standard-Templates Directory resolved if necessary, or `null` if no mind map is followed
    Since:
      1.11.11
    See Also:
      - `MindMap.setFollowedMap(URI)`

  - ### getAssociatedTemplateFile

    File getAssociatedTemplateFile()
    Returns:
      Associated-Template URI as File, with User- or Standard-Templates Directory resolved if necessary, or `null` if no template is associated with the mind map
    Since:
      1.11.11
    See Also:
      - `MindMap.setAssociatedTemplate(URI)`

  - ### getBookmarks

    List<NodeBookmark> getBookmarks()
    Returns all bookmarks defined in this mind map. Bookmarks provide quick access to important nodes in the map. The returned list includes the automatically created root bookmark.
    Returns:
      a list of all bookmarks in this map
    Since:
      1.12.12